#!...
#
# ZULU WEBSITE ASSEMBLER
#
# Copyright (C) 2002,2003, Peter Maerki und Hans Maerki
#
# This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
# This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

import string
import os
import shutil

listTemplates  = [
			"bioinformatik",
			"favorite",
			"xsummit",
			"cool",
			"nokia",
			"switch",
			"lart",
			"eborit",
			"firstobject",
			"simple_oben",
			"simple_oben_breit",
			"current"
]

def copy_template(strTemplate):
	print "Copying '%s'" % strTemplate
	path = "../../web/%s" % strTemplate
	try:
		shutil.rmtree(path, ignore_errors=1)
	except:
		pass
	try:
		os.makedirs("../../web")
	except:
		pass
	shutil.copytree("../../current", path)

def write_template(strTemplate):
	strStructure = "zulu_template_%s.xml" % strTemplate
	print "Writing template '%s' -> '%s'" % (strTemplate, strStructure)
	fStructure = open(strStructure, "w")
	fStructure.write("""<?xml version="1.0" encoding="ISO-8859-1"?>
<content>
	<Template>
	<a>zulu_template_%s&lt;!--Zulu:Tag:Printextension--&gt;</a>
	</Template>
	<Include>
	<a>zulu_structure.xml</a>
	</Include>
</content>
	""" % strTemplate)
	fStructure.close()

def zulu_execute(strStructure):
	print "Executing 'zulu.py -s %s'" % strStructure
	rs = os.system("zulu.py -s %s" % strStructure)
	if rs != 0:
		raise "Error zuluing %s!" % strStructure

def fix_zulu():
	f = open('zulu.py', 'rb')
	strZulu = f.read()
	f.close()
	strZulu = strZulu.replace('\r\n', '\n')
	strZulu = strZulu.replace('\r', '')
	f = open('zulu.py', 'wb')
	f.write(strZulu)
	f.close()

	os.unlink('zulu.pyc')

if __name__ == "__main__":
	os.chdir('..')
	fix_zulu()
	# Create first the english version
	zulu_execute("development_english/zulu_structure_english.xml")
	copy_template("english")

	# Create now all the german versions according listTemplates
	for strTemplate in listTemplates:
		write_template(strTemplate)
		zulu_execute("zulu_template_%s.xml" % strTemplate)
		os.unlink("zulu_template_%s.xml" % strTemplate)
		copy_template(strTemplate)

